package cn.ibizlab.core.lite.extensions.service;

import cn.ibizlab.core.lite.extensions.domain.EntityModel;
import cn.ibizlab.core.lite.extensions.domain.EntityObj;
import cn.ibizlab.core.lite.extensions.domain.ModelObj;
import cn.ibizlab.core.rule.domain.ExecResult;
import cn.ibizlab.util.filter.QueryFilter;
import org.springframework.stereotype.Service;

import java.sql.Timestamp;
import java.util.List;
import java.util.Set;

@Service
public class MongoEntityService implements CommonEntityService{

    @Override
    public List<EntityObj> selectBase(EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> selectCore(EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public Integer selectCount(EntityModel entityModel, QueryFilter filter) {
        return null;
    }


    @Override
    public List<EntityObj> search(String dataSet, EntityModel entityModel, QueryFilter filter) {
        return null;
    }

    @Override
    public List<EntityObj> search(String dsName, String sql, QueryFilter filter) {
        return null;
    }

    @Override
    public int saveResultBatch(List<ExecResult> var1)
    {
        return 0;
    }

    @Override
    public int clearResultBatch(List<ExecResult> var1)
    {
        return 0;
    }

    @Override
    public List<ModelObj> getModelObjs(String metaModelId, Set<String> fillPropertys, Timestamp lastModify) {
        return null;
    }

    @Override
    public ModelObj getModelObjs(String metaModelId, Set<String> fillPropertys, Object factKey) {
        return null;
    }

    @Override
    public ModelObj getModelObjs(String metaModelId, Set<String> fillPropertys, Object... factUniKey) {
        return null;
    }

    @Override
    public List<ModelObj> getModelObjs(String metaModelId, Set<String> fillPropertys, List<EntityObj> kEntityObjs) {
        return null;
    }
}
